Skip to content

Fetch Calls

Endpoint: GET /calls/


Request

Headers

Header Value
Access-Token {access_token}
Content-Type application/json

Query Parameters

Parameter Type Required Default Example Description
dateFrom string no dateFrom=2025-08-01 Start date in ISO 8601 format.
dateTo string no dateTo=2025-08-04 End date in ISO 8601 format.
page integer no 1 page=1 Page number for pagination.
limit integer no 100 limit=100 Number of items per page (1-1000).
numberIds string no numberIds=1,2,3 Comma-separated list of contact number IDs.
ringGroupId integer no ringGroupId=1 Filter by ring group ID.
ivrId integer no ivrId=1 Filter by IVR ID.
listId integer no listId=1 Filter by contact list ID.
agentId integer no agentId=1 Filter by agent ID.
callType string no callType=1 Filter by call type (see allowed values below).
dispositionIds string no dispositionIds=1,2,3 Comma-separated list of disposition IDs.
surveyIds string no surveyIds=1,2,3 Comma-separated list of survey IDs.

Allowed callType values

  • all_inbound
  • inbound_answered
  • inbound_answered_within_sla
  • inbound_answered_but_not_within_sla
  • inbound_ivr_exit
  • abandoned
  • callback
  • overflowed
  • all_outbound
  • outbound_answered
  • outbound_not_answered
  • transfer
  • warm_transfer
  • out_of_business_hours
  • short_abandoned
  • automated_callback
  • short_abandoned_distributed
  • abandoned_distributed

Response (200 OK)

{
  "calls": [
    {
      "id": 1234,
      "is_inbound": false,
      "is_answered": true,
      "is_in_queue": false,
      "contact": {
        "id": 4321,
        "full_name": "John Doe",
        "number_country_code": "1",
        "national_number": "234567890",
        "number": "1234567890",
        "list_ids": [
          1,
          2,
          3
        ]
      },
      "agents": [
        1
      ],
      "all_agents": [
        {
          "id": 1,
          "user_id": 43,
          "alias": "Agent Name",
          "sip": "sip:[email protected]",
          "started_at": 1747839084,
          "type": "agent",
          "is_any_transfer": false,
          "hangup_reason": "NORMAL_CLEARING"
        }
      ],
      "answered_agents": [
        {
          "id": 1,
          "user_id": 43,
          "alias": "Agent Name",
          "sip": "sip:[email protected]",
          "started_at": 1747839084,
          "type": "agent",
          "is_any_transfer": false,
          "hangup_reason": "NORMAL_CLEARING"
        }
      ],
      "external_numbers": [
        {
          "number": "1234567890",
          "is_any_transfer": false
        }
      ],
      "number": {
        "id": 1,
        "number": "1234567891",
        "numberWithAlias": "1234567891 (Number Alias/Friendly Name)",
        "alias": "Number Alias/Friendly Name"
      },
      "started_at": 1747839084,
      "duration": 5,
      "talk_time": 5,
      "requested_callback": false,
      "is_ended": true,
      "type": "answered",
      "is_answered_within_sla": true,
      "is_data_cached": true,
      "original_call_id": 2,
      "campaign": {
        "id": 1,
        "name": "Campaign Name"
      },
      "ring_group": {
        "id": 1,
        "name": "Ring Group Name"
      },
      "ivr": {
        "id": 1,
        "name": "IVR Name"
      },
      "disposition": {
        "id": 1,
        "code": "Successful Deal",
        "note": "This is a note for the disposition"
      },
      "recordings": [
        {
          "id": 12,
          "url": "https://media.plivo.com/v1/Account/{AccountPlivoID}/Recording/1234567890.mp3"
        }
      ],
      "tags": [
        "tag1",
        "tag2",
        "tag3"
      ]
    },
    {
      "id": 1235,
      "is_inbound": false,
      "is_answered": true,
      "is_in_queue": false,
      "contact": {
        "id": 5321,
        "full_name": "John Doe 2",
        "number_country_code": "1",
        "national_number": "234567891",
        "number": "1234567891",
        "list_ids": [
          3,
          2,
          1
        ]
      },
      "agents": [
        2
      ],
      "all_agents": [
        {
          "id": 2,
          "user_id": 44,
          "alias": "Agent Name 2",
          "sip": "sip:[email protected]",
          "started_at": 1747839084,
          "type": "agent",
          "is_any_transfer": false,
          "hangup_reason": "NORMAL_CLEARING"
        }
      ],
      "answered_agents": [
        {
          "id": 2,
          "user_id": 44,
          "alias": "Agent Name 2",
          "sip": "sip:[email protected]",
          "started_at": 1747839084,
          "type": "agent",
          "is_any_transfer": false,
          "hangup_reason": "NORMAL_CLEARING"
        }
      ],
      "external_numbers": [
        {
          "number": "1234567891",
          "is_any_transfer": false
        }
      ],
      "number": {
        "id": 2,
        "number": "1234567892",
        "numberWithAlias": "1234567892 (Number Alias/Friendly Name 2)",
        "alias": "Number Alias/Friendly Name 2"
      },
      "started_at": 1747839084,
      "duration": 5,
      "talk_time": 5,
      "requested_callback": false,
      "is_ended": true,
      "type": "answered",
      "is_answered_within_sla": true,
      "is_data_cached": true,
      "original_call_id": 2,
      "campaign": {
        "id": 1,
        "name": "Campaign Name"
      },
      "ring_group": {
        "id": 1,
        "name": "Ring Group Name"
      },
      "ivr": {
        "id": 1,
        "name": "IVR Name"
      },
      "disposition": {
        "id": 1,
        "code": "Successful Deal",
        "note": "This is a note for the disposition"
      },
      "recordings": [
        {
          "id": 12,
          "url": "https://media.plivo.com/v1/Account/{AccountPlivoID}/Recording/1234567890.mp3"
        }
      ],
      "tags": [
        "tag1",
        "tag2",
        "tag3"
      ]
    }
  ],
  "meta": {
    "page": 1,
    "limit": 100,
    "total": 33966,
    "next": "/api/v1/calls/?page=2",
    "previous": null
  }
}